#include <SPI.h>
#include "epd1in54.h"
#include "epdif.h"
#include "epdpaint.h"
#include "imagedata.h"


//#include <RTC.h>
//#include <DeviceControlXMC.h>



int COLORED  = 0; // White in Black
int UNCOLORED = 1;  // Black in White

//XMCClass xmc2go;
//RTCClass rtc;

unsigned char image[8192];   // takes 5k-8k RAM  
//////////////////////////////////////////////////
// width must be multiple of 8
Paint paint(image, 0, 0);     
Epd epd;                     
//////////////////////////////////////////////////////

void setup() 
{
      pinMode(14,1);
      pinMode(15,1);
      
    flush_epd();  
///// Init Full Display Update ///////////
  if (epd.Init(lut_full_update) != 0) 
  {return;}  
///// Init Partial Display Update ////////
  if (epd.Init(lut_partial_update) != 0) 
  {return;}
////////// Clears Up Full Disp ///////////
// bit set = white, bit reset = black
  epd.ClearFrameMemory(0xFF);   
  epd.DisplayFrame();
  epd.ClearFrameMemory(0xFF);   
  epd.DisplayFrame();

}



void loop() 
{

  // Set Active Area on Disp with Orientation and Color //
  // more RAM allows more disp area to be used at once
/*   paint.SetWidth(200);
  paint.SetHeight(200);
  paint.SetRotate(ROTATE_180);
  paint.Clear(UNCOLORED);
   
  paint.DrawStringAt(10,20, "ADC0", &Font24, COLORED);
  paint.DrawStringAt(10,50, "ADC1", &Font24, COLORED);
  paint.DrawStringAt(10,80, "PWM0", &Font24, COLORED);
  paint.DrawStringAt(10,110, "SCNT", &Font24, COLORED);
  paint.DrawStringAt(10,140, "FRAM", &Font24, COLORED);
  paint.DrawStringAt(10,170, "DTMP", &Font24, COLORED);
  
///////////////////For Text///////////////////////////////////////////////
  epd.SetFrameMemory(paint.GetImage(), 0, 0, paint.GetWidth(), paint.GetHeight());
  epd.DisplayFrame();
//////////////////////////////////////////////////////////////////////////
 // delay(10000);
*/
    
///////////////// Static Image /////////////////////////////////////////      
  epd.SetFrameMemory(IMAGE_DATA14);
  epd.DisplayFrame();
  digitalWrite(14,0);
  digitalWrite(15,0);
 
   
  delay(1000);
 // flush_epd();
  digitalWrite(14,1);
  digitalWrite(15,1);
 

  epd.SetFrameMemory(IMAGE_DATA2);
  epd.DisplayFrame();
  epd.SetFrameMemory(IMAGE_DATA3);
  epd.DisplayFrame();
  epd.SetFrameMemory(IMAGE_DATA4);
  epd.DisplayFrame();
  epd.SetFrameMemory(IMAGE_DATA5);
  epd.DisplayFrame();
  epd.SetFrameMemory(IMAGE_DATA6);
  epd.DisplayFrame();
  epd.SetFrameMemory(IMAGE_DATA7);
  epd.DisplayFrame();
  epd.SetFrameMemory(IMAGE_DATA8);
  epd.DisplayFrame();
  epd.SetFrameMemory(IMAGE_DATA9);
  epd.DisplayFrame();
  epd.SetFrameMemory(IMAGE_DATA10);
  epd.DisplayFrame();
  epd.SetFrameMemory(IMAGE_DATA12);
  epd.DisplayFrame();
    /*
  epd.SetFrameMemory(IMAGE_DATA13);
  epd.DisplayFrame();

  epd.SetFrameMemory(IMAGE_DATA14);
  epd.DisplayFrame();
  epd.SetFrameMemory(IMAGE_DATA15);
  epd.DisplayFrame();
  epd.SetFrameMemory(IMAGE_DATA16);
  epd.DisplayFrame();
*/
// delay(1000);
// flush_epd();
 
} // loop ends here //


// clean up dark spots on epaper display
void flush_epd (void)
{
  if (epd.Init(lut_full_update) != 0) 
  {return;}
  epd.ClearFrameMemory(0xFF);   
  epd.DisplayFrame();
  epd.ClearFrameMemory(0xFF);   
  epd.DisplayFrame();
  
}
